<?php

//载入全局配置和函数包
require("../../include/veryide.global.php");

/***********************/

//时间
$start=time();

//文件保存目录路径
$save_path = './../../'.$Project["upload"].'/image/';
//文件保存目录URL_temp
$save_url = VI_BASE.'../';
//定义允许上传的文件扩展名
$ext_arr = array('gif', 'jpg', 'jpeg', 'png', 'bmp');
//最大文件大小
$max_size = 1000000;
//更改目录权限
@mkdir($save_path, 0777);

if ( $Setting["setting"]["upload"] != "on" ){
	
	alert("文件上传被禁止!\\n\\n系统已禁用本功能!");
	
}elseif ( !$_SESSION["Manager"]["account"] && !$_SESSION["Member"]["id"] ){
	
	alert("文件上传被禁止!\\n\\n您当前不在登录状态!");

/*	
}elseif ( $_SESSION["Group"]["sys-upload-add"] != "Y" ){
	
	alert("文件上传被取消!\\n\\n您当前没有上传文件的权限!");	
*/	
}elseif ( empty($_FILES) === false ){
	
    //原文件名
    $file_name = $_FILES['imgFile']['name'];
	
    //服务器上临时文件名
    $tmp_name = $_FILES['imgFile']['tmp_name'];
	
    //文件大小
    $file_size = $_FILES['imgFile']['size'];
	
    //检查文件名
    if (!$file_name) {
        alert("请选择文件。");
    }
    //检查目录
    if (@is_dir($save_path) === false) {
        alert("上传目录不存在。\\n\\n".$save_path);
    }
    //检查目录写权限
    if (@is_writable($save_path) === false) {
        alert("上传目录没有写权限。");
    }
    //检查是否已上传
    if (@is_uploaded_file($tmp_name) === false) {
        alert("临时文件可能不是上传文件。");
    }
    //检查文件大小
    if ($file_size > $max_size) {
        alert("上传文件大小超过限制。");
    }
	
    //获得文件扩展名
	$file_ext = strtolower(substr(strrchr($file_name,'.'),1));
	
    //检查扩展名
    if (in_array($file_ext, $ext_arr) === false) {
        alert("上传文件扩展名是不允许的扩展名。");
    }
    
	//自动创建文件夹
	//if($veryide_upload_folder){
		
		//创建文件文件夹
		if(!file_exists($save_path)){
			createFolder($save_path);
		}
		
		//重命名
		$save_path = $save_path.date("Y/md/");
		createFolder($save_path);
	//}
	
	//重命名文件
	$file_name = date("H-i-s-").mt_rand(). '.' . $file_ext;
    
    //移动文件
    $file_path = $save_path . $file_name;
    if (move_uploaded_file($tmp_name, $file_path) === false) {
        alert("上传文件失败。");
    }
    
    $file_url = $save_url.readpath($file_path);
	
	/**************************/

	//mysql open
	reader_mysql();
	
	list($width, $height, $image_type, $attr) = getimagesize($file_path);
	
	//写入数据库
	$sql="insert into ".VI_DBMANPRE."files(aid,account,name,input,dateline,type,size,ip,width,height,remote) values(".$_SESSION["Manager"]["id"].",'".$_SESSION["Manager"]["account"]."','".str_replace("/veryide/","/",VI_BASE).readpath($file_path)."','".$_POST['id']."',".time().",'".$file_ext."',$file_size,'".GetIP()."',$width,$height,0)";
	
	mysql_query($sql,$mysql);
	
	$Project["queries"]++;
	
	//写入日志
	event_insert($mysql,'upload',$start,time(),'通过 KindEditor 上传文件 <a href="'.$file_new.'" target="_blank">'.$file_new.'</a>，大小 '.GetFileSize($file_size,"byte").'，类型 '.$file_ext);

	//mysql close
	reader_mysql(true);
	
	/**************************/

    //插入图片，关闭层
    echo '<html>';
    echo '<head>';
    echo '<title>Insert Image</title>';
    echo '<meta http-equiv="content-type" content="text/html; charset='.$Project["charset"].'">';
    echo '</head>';
    echo '<body>';
    echo '<script type="text/javascript">parent.KE.plugin["image"].insert("' . $_POST['id'] . '", "' . $file_url . '","' . $_POST['imgTitle'] . '","' . $_POST['imgWidth'] . '","' . $_POST['imgHeight'] . '","' . $_POST['imgBorder'] . '");</script>';
    echo '</body>';
    echo '</html>';
	
}

//提示，关闭层
function alert($msg)
{
    echo '<html>';
    echo '<head>';
    echo '<title>error</title>';
    echo '<meta http-equiv="content-type" content="text/html; charset=utf-8">';
    echo '</head>';
    echo '<body>';
    echo '<script type="text/javascript">alert("'.$msg.'");history.back();</script>';
    echo '</body>';
    echo '</html>';
    exit;
}
?>